package org.example.test.controller;

import org.example.test.entity.SysRegion;
import org.example.test.serivce.SysRegionService;
import org.example.test.serivce.TestService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Collections;
import java.util.Map;

@RestController
@RequestMapping("/test")
public class TestController {

    @Autowired
    TestService testService;

    @Autowired
    SysRegionService sysRegionService;

    /**
     * @return 返回string类型的hello
     */
    @RequestMapping("/sayHello")
    public String sayHello() {
        // return hello
        return testService.sayHello();
    }

    /**
     * @return 返回json类型的hello
     */
    @RequestMapping("/sayHello2")
    public Map<String, String> sayHello2() {
        return Collections.singletonMap("message", "Hello");
    }

    /**
     * @param code 行政区划代码
     * @return 返回行政区划代码对应的行政区划信息
     */
    @GetMapping("/getSysRegion")
    public SysRegion getSysRegion(@RequestParam("code") String code) {
        // 广东 "440000"
        // http://localhost:8080/test/getSysRegion?code=440000
        return sysRegionService.getByCode(code);
    }


    @PostMapping("/getSysRegion")
    public SysRegion getSysRegion2(@RequestBody SysRegion sysRegion) {
        return sysRegionService.getByCode(sysRegion.getCode());
    }

    @RequestMapping("/sleep3000")
    public String sleep3000() throws InterruptedException {
        Thread.sleep(3000);
        return "sleep3000";
    }
}
